# DataExchange
TKSTEPBase
StepGeom

# StepGeom_PcurveOrSurface Class Reference

`#include <StepGeom_PcurveOrSurface.hxx>`

Inheritance diagram for StepGeom_PcurveOrSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_PcurveOrSurface ()
| Returns a PcurveOrSurface SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a PcurveOrSurface Kind Entity that is : 1 -> Pcurve 2 -> Surface 0 else .
Standard_EXPORT Handle_StepGeom_Pcurve | Pcurve () const
| returns Value as a Pcurve (Null if another type)
Standard_EXPORT Handle_StepGeom_Surface | Surface () const
| returns Value as a Surface (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_PcurveOrSurface::StepGeom_PcurveOrSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepGeom_PcurveOrSurface::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepGeom_PcurveOrSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_PcurveOrSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_PcurveOrSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepGeom_Pcurve StepGeom_PcurveOrSurface::Pcurve | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Surface StepGeom_PcurveOrSurface::Surface | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepGeom_PcurveOrSurface.hxx